﻿=============================================================================*
* TÍTULO DE LA SINTAXIS:*
* Sintaxis de Tabulados 
* OPERACIÓN ESTADÍSTICA:*
* Defunciones Generales, Año 2020(EDG - 2020)*
* UNIDAD TÉCNICA RESPONSABLE:*
* Unidad de Gestión de Estadísticas Sociodemográficas en base a Registros Administrativos*
* Dirección Estadísticas Sociodemográficas (DIES) *
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadística y Censos (INEC) *
*==============================================================================*
* Fecha última modificación: Junio de 2021*
*==============================================================================*
* Modificado por:* 
* Equipo técnico**
* Unidad de Gestión de Estadísticas Sociodemográficas en base a Registros Administrativos (GESRA) *
* Instituto Nacional de Estadística y Censos (INEC)*
*==============================================================================*
* Revisado por: *
* Jefe de la unidad*
* Responsable de la Unidad de Gestión de Estadísticas Sociodemográficas en base a Registros Administrativos (GESRA) * *
* Instituto Nacional de Estadística y Censos (INEC)*
*==============================================================================*
*==============================================================================*
* Descripción:
* 1. Correr la programación en spss.
* 2. La presente sintaxis está diseñada para generar y crear las variables necesarias para la elaboración de los cuadros estadísticos de defunciones generales.
* Correpondiente al anuario de Nacidos vivos y defunciones.
*==============================================================================*
*Sintaxis de Tabulados Defunciones Generales, Año 2020 (EDG - 2020)*
*==============================================================================*




NUMERIC reg_res (f2.0).
if (prov_res >= "01" and prov_res <= "06") reg_res= 1.
if (prov_res >= "10" and prov_res <= "11") reg_res= 1.
if (prov_res >= "17" and prov_res <= "18") reg_res= 1.
if (prov_res = "23") reg_res= 1.
if (prov_res >= "07" and prov_res <= "09") reg_res = 2.
if (prov_res >= "12" and prov_res <= "13") reg_res = 2.
if (prov_res = "24") reg_res= 2.
if (prov_res >= "14" and prov_res <= "16") reg_res = 3.
if (prov_res = "19") reg_res= 3.
if (prov_res >= "21" and prov_res <= "22") reg_res = 3.
if (prov_res = "20") reg_res= 4.
if (prov_res = "90") reg_res= 5.
if (prov_res = "88") reg_res= 6.
execute.


* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
reg_res 1 "Región Sierra: "
	2 "Región Costa: "
	3 "Región Amazónica:"
	4 "Región Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior:".

**Crear variable total nacional**

compute t=1.
ADD VALUE LABELS t
1 "Total Nacional: ".


**Crear variables muerte materna hasta 42 días y la tardia, suicidios, accidentes de trasporte, otros accidentes, homicidios, niños, infantil, neonatal, otras accidentess, indeterminada y otras causas externas** 

if ((causam>="630" & causam<= "676")) mm1=1.
if (causa>="O96" & causa<= "O979") mm13=11.
if ((causa>="O00" & causa<= "O99") & causa<>"O96" & causa<>"O97") mm1=1.
If (causa>='X60' and causa<='X84') sui=2.
if ((causam>="950" & causam<= "959")) sui =2.
If (causa>='V00' and causa<='V89') acct=3.
if ((causam>="800" & causam<= "829")) acct =3.
If (causa>='X85' and causa<='Y09') hom=4.
if ((causam>="960" & causam<= "969")) hom =4.
If (cod_edad<=3 or (cod_edad=4 & edad <5)) niñ=5.
If (cod_edad<=3) inf=6.
If (cod_edad<=1 or (cod_edad=2 & edad <=27)) neona=7.
If (causa>='V90' and causa<='X59') oacct=8.
if ((causam>="830" & causam<= "949")) oacct =8.
If (causa>='Y10' and causa<='Y34') indet=9.
if ((causam>="980" & causam<= "989")) indet =9.
If (causa>='Y35' and causa<='Y98') oviol=10.
if ((causam>="990" & causam<= "999")) oviol =10.
execute.

ADD VALUE LABELS mm1 sui acct hom niñ inf  neona oacct indet oviol mm13
1 "Muerte materna"
2 "Suicidios"
3 "Accidentes transporte terrestre"
4 "Homicidos"
5 "Mortalidad niñez"
6 "Mortalidad infantil"
7 "Mortalidad neonatal"
8 "Otros accidentes"
9 "Indeterminadas"
10 "Otras violentas"
11 "Materna tardía".
EXECUTE.

*Crear variable total causas externas*

If (causa>='V00' and causa<='Y98') tviol=1.
execute.

ADD VALUE LABELS tviol
1 "Tviol".

***Crear valores absolutos de defunciones total y por sexo y luego dividir para las proyecciones y multiplicar por 1000*

**1.1.1*

TABLES
 /TABLE  anio_fall by (t+sexo).


**1.4.2a*

USE ALL.
COMPUTE filter_$=(cod_edad=1).
VARIABLE LABELS filter_$ 'cod_edad=1)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  anio_fall by (t+edad).
filter off.

**1.4.2b*

USE ALL.
COMPUTE filter_$=(cod_edad=2).
VARIABLE LABELS filter_$ 'cod_edad=2)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  anio_fall by (t+edad).
filter off.

**1.4.2c*

USE ALL.
COMPUTE filter_$=(cod_edad=3).
VARIABLE LABELS filter_$ 'cod_edad=3)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  anio_fall by (t+edad).
filter off.

**1.4.2d*

**Craer variable edad simples para años**


if cod_edad=4 & edad = 1 gedadc = 1.
if cod_edad=4 & edad = 2 gedadc = 2.
if cod_edad=4 & edad = 3 gedadc = 3.
if cod_edad=4 & edad = 4 gedadc = 4.
if cod_edad=4 & edad = 5 gedadc = 5.
if cod_edad=4 & edad = 6 gedadc = 6.
if cod_edad=4 & edad = 7 gedadc = 7.
if cod_edad=4 & edad = 8 gedadc = 8.
if cod_edad=4 & edad = 9 gedadc = 9.
if cod_edad=4 & edad = 10 gedadc = 10.
if cod_edad=4 & edad = 11 gedadc = 11.
if cod_edad=4 & edad = 12 gedadc = 12.
if cod_edad=4 & edad = 13 gedadc = 13.
if cod_edad=4 & edad = 14 gedadc = 14.
if cod_edad=4 & edad = 15 gedadc = 15.
if cod_edad=4 & edad = 16 gedadc = 16.
if cod_edad=4 & edad = 17 gedadc = 17.
if cod_edad=4 & edad = 18 gedadc = 18.
if cod_edad=4 & edad = 19 gedadc = 19.
if cod_edad=4 & edad = 20 gedadc = 20.
if cod_edad=4 & edad = 21 gedadc = 21.
if cod_edad=4 & edad = 22 gedadc = 22.
if cod_edad=4 & edad = 23 gedadc = 23.
if cod_edad=4 & edad = 24 gedadc = 24.
if cod_edad=4 & edad = 25 gedadc = 25.
if cod_edad=4 & edad = 26 gedadc = 26.
if cod_edad=4 & edad = 27 gedadc = 27.
if cod_edad=4 & edad = 28 gedadc = 28.
if cod_edad=4 & edad = 29 gedadc = 29.
if cod_edad=4 & edad = 30 gedadc = 30.
if cod_edad=4 & edad = 31 gedadc = 31.
if cod_edad=4 & edad = 32 gedadc = 32.
if cod_edad=4 & edad = 33 gedadc = 33.
if cod_edad=4 & edad = 34 gedadc = 34.
if cod_edad=4 & edad = 35 gedadc = 35.
if cod_edad=4 & edad = 36 gedadc = 36.
if cod_edad=4 & edad = 37 gedadc = 37.
if cod_edad=4 & edad = 38 gedadc = 38.
if cod_edad=4 & edad = 39 gedadc = 39.
if cod_edad=4 & edad = 40 gedadc = 40.
if cod_edad=4 & edad = 41 gedadc = 41.
if cod_edad=4 & edad = 42 gedadc = 42.
if cod_edad=4 & edad = 43 gedadc = 43.
if cod_edad=4 & edad = 44 gedadc = 44.
if cod_edad=4 & edad = 45 gedadc = 45.
if cod_edad=4 & edad = 46 gedadc = 46.
if cod_edad=4 & edad = 47 gedadc = 47.
if cod_edad=4 & edad = 48 gedadc = 48.
if cod_edad=4 & edad = 49 gedadc = 49.
if cod_edad=4 & edad = 50 gedadc = 50.
if cod_edad=4 & edad = 51 gedadc = 51.
if cod_edad=4 & edad = 52 gedadc = 52.
if cod_edad=4 & edad = 53 gedadc = 53.
if cod_edad=4 & edad = 54 gedadc = 54.
if cod_edad=4 & edad = 55 gedadc = 55.
if cod_edad=4 & edad = 56 gedadc = 56.
if cod_edad=4 & edad = 57 gedadc = 57.
if cod_edad=4 & edad = 58 gedadc = 58.
if cod_edad=4 & edad = 59 gedadc = 59.
if cod_edad=4 & edad = 60 gedadc = 60.
if cod_edad=4 & edad = 61 gedadc = 61.
if cod_edad=4 & edad = 62 gedadc = 62.
if cod_edad=4 & edad = 63 gedadc = 63.
if cod_edad=4 & edad = 64 gedadc = 64.
if cod_edad=4 & edad = 65 gedadc = 65.
if cod_edad=4 & edad = 66 gedadc = 66.
if cod_edad=4 & edad = 67 gedadc = 67.
if cod_edad=4 & edad = 68 gedadc = 68.
if cod_edad=4 & edad = 69 gedadc = 69.
if cod_edad=4 & edad = 70 gedadc = 70.
if cod_edad=4 & edad = 71 gedadc = 71.
if cod_edad=4 & edad = 72 gedadc = 72.
if cod_edad=4 & edad = 73 gedadc = 73.
if cod_edad=4 & edad = 74 gedadc = 74.
if cod_edad=4 & edad = 75 gedadc = 75.
if cod_edad=4 & edad = 76 gedadc = 76.
if cod_edad=4 & edad = 77 gedadc = 77.
if cod_edad=4 & edad = 78 gedadc = 78.
if cod_edad=4 & edad = 79 gedadc = 79.
if cod_edad=4 & edad = 80 gedadc = 80.
if cod_edad=4 & edad = 81 gedadc = 81.
if cod_edad=4 & edad = 82 gedadc = 82.
if cod_edad=4 & edad = 83 gedadc = 83.
if cod_edad=4 & edad = 84 gedadc = 84.
if cod_edad=4 & edad = 85 gedadc = 85.
if cod_edad=4 & edad = 86 gedadc = 86.
if cod_edad=4 & edad = 87 gedadc = 87.
if cod_edad=4 & edad = 88 gedadc = 88.
if cod_edad=4 & edad = 89 gedadc = 89.
if cod_edad=4 & edad = 90 gedadc = 90.
if cod_edad=4 & edad = 91 gedadc = 91.
if cod_edad=4 & edad = 92 gedadc = 92.
if cod_edad=4 & edad = 93 gedadc = 93.
if cod_edad=4 & edad = 94 gedadc = 94.
if cod_edad=4 & edad = 95 gedadc = 95.
if cod_edad=4 & edad = 96 gedadc = 96.
if cod_edad=4 & edad = 97 gedadc = 97.
if cod_edad=4 & edad = 98 gedadc = 98.
if cod_edad=4 & edad = 99 gedadc = 99.
if cod_edad=4 & edad = 100 gedadc = 100.
if cod_edad=4 & edad = 101 gedadc = 101.
if cod_edad=4 & edad = 102 gedadc = 102.
if cod_edad=4 & edad = 103 gedadc = 103.
if cod_edad=4 & edad = 104 gedadc = 104.
if cod_edad=4 & edad = 105 gedadc = 105.
if cod_edad=4 & edad = 106 gedadc = 106.
if cod_edad=4 & edad = 107 gedadc = 107.
if cod_edad=4 & edad = 108 gedadc = 108.
if cod_edad=4 & edad = 109 gedadc = 109.
if cod_edad=4 & edad = 110 gedadc = 110.
if cod_edad=4 & edad = 111 gedadc = 111.
if cod_edad=4 & edad = 112 gedadc = 112.
if cod_edad=4 & edad = 113 gedadc = 113.
if cod_edad=4 & edad = 114 gedadc = 114.
if cod_edad=4 & edad = 115 gedadc = 115.
if cod_edad=4 & edad = 116 gedadc = 116.
if cod_edad=4 & edad = 117 gedadc = 117.
if cod_edad=4 & edad = 118 gedadc = 118.
if cod_edad=4 & edad = 119 gedadc = 119.
if cod_edad=4 & edad = 120 gedadc = 120.
if cod_edad=9 gedadc = 121 .

ADD VALUE LABELS gedadc
1 "1"
2 "2"
3 "3"
4 "4"
5 "5"
6 "6"
7 "7"
8 "8"
9 "9"
10 "10"
11 "11"
12 "12"
13 "13"
14 "14"
15 "15"
16 "16"
17 "17"
18 "18"
19 "19"
20 "20"
21 "21"
22 "22"
23 "23"
24 "24"
25 "25"
26 "26"
27 "27"
28 "28"
29 "29"
30 "30"
31 "31"
32 "32"
33 "33"
34 "34"
35 "35"
36 "36"
37 "37"
38 "38"
39 "39"
40 "40"
41 "41"
42 "42"
43 "43"
44 "44"
45 "45"
46 "46"
47 "47"
48 "48"
49 "49"
50 "50"
51 "51"
52 "52"
53 "53"
54 "54"
55 "55"
56 "56"
57 "57"
58 "58"
59 "59"
60 "60"
61 "61"
62 "62"
63 "63"
64 "64"
65 "65"
66 "66"
67 "67"
68 "68"
69 "69"
70 "70"
71 "71"
72 "72"
73 "73"
74 "74"
75 "75"
76 "76"
77 "77"
78 "78"
79 "79"
80 "80"
81 "81"
82 "82"
83 "83"
84 "84"
85 "85"
86 "86"
87 "87"
88 "88"
89 "89"
90 "90"
91 "91"
92 "92"
93 "93"
94 "94"
95 "95"
96 "96"
97 "97"
98 "98"
99 "99"
100 "100"
101 "101"
102 "102"
103 "103"
104 "104"
105 "105"
106 "106"
107 "107"
108 "108"
109 "109"
110 "110"
111 "111"
112 "112"
113 "113"
114 "114"
115 "115"
116 "116"
117 "117"
118 "118"
119 "119"
120 "120"
121 "Si información".


USE ALL.
COMPUTE filter_$=(cod_edad>=4).
VARIABLE LABELS filter_$ 'cod_edad>=4)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  anio_fall by (t+gedadc).
filter off.


**1.4.3 y 1.4.4 pata calcular la razón y tasas se divide para estimación de naicmientos y se multiplica por 100000 para la materna, y para el resto por 1000*

if (mm1=1) tmm=1.
if (mm13 =11) tmm=1.

ADD VALUE LABELS tmm
1 "Total MM".
TABLES
 /TABLE  anio_fall by tmm+mm1+mm13.


TABLES
 /TABLE  anio_fall by inf>(t+sexo).

TABLES
 /TABLE  anio_fall by niñ>(t+sexo).

TABLES
 /TABLE  anio_fall by neona.

*1.4.5*

TABLES
 /TABLE  anio_fall by Tviol>(t+sexo)+acct>(t+sexo).
TABLES
 /TABLE  anio_fall by oacct>(t+sexo)+sui>(t+sexo).
TABLES
 /TABLE  anio_fall by hom>(t+sexo).
TABLES
 /TABLE  anio_fall by indet>(t+sexo)+oviol>(t+sexo).

*1.4.6*

USE ALL.
COMPUTE filter_$=(anio_fall>=1997).
VARIABLE LABELS filter_$ 'anio_fall>=1997)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


TABLES
 /TABLE  t+lc1 by anio_fall.

filter off.

*1.4.7 

**Se divide los valores de tabla 1.4.6 para proyecciones poblacionales de cada año y multiplicar por 100000 hábitantes**

**Series a nivel de provincia desde año 2008**


*1.5.1*

USE ALL.
COMPUTE filter_$=(anio_fall>=2008).
VARIABLE LABELS filter_$ 'anio_fall>=2008)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  (t+(reg_res>(t+prov_fall))) by (anio_fall).

*1.5.2*

TABLES
 /TABLE  (t+(reg_res>(t+prov_res))) by (anio_fall>mm1).


*1.5.3*

TABLES
 /TABLE  (t+(reg_res>(t+prov_res))) by (anio_fall>inf).

*1.5.4*

TABLES
 /TABLE  (t+(reg_res>(t+prov_res))) by (anio_fall>niñ).


*1.5.5*

TABLES
 /TABLE  (t+(reg_res>(t+prov_res))) by (anio_fall>(t+sexo)).

filter off.

*1.2.6*
**Serie por grupos de edad 2008 - 2020**

if (cod_edad<=3) gedad=1.
if (cod_edad=4 & (edad>=1 & edad<=4)) gedad=2.
if (cod_edad=4 & (edad>=5 & edad<=9)) gedad=3.
if (cod_edad=4 & (edad>=10 & edad<=14)) gedad=4.
if (cod_edad=4 & (edad>=15 & edad<=19)) gedad=5.
if (cod_edad=4 & (edad>=20 & edad<=24)) gedad=6.
if (cod_edad=4 & (edad>=25 & edad<=29)) gedad=7.
if (cod_edad=4 & (edad>=30 & edad<=34)) gedad=8.
if (cod_edad=4 & (edad>=35 & edad<=39)) gedad=9.
if (cod_edad=4 & (edad>=40 & edad<=44)) gedad=10.
if (cod_edad=4 & (edad>=45 & edad<=49)) gedad=11.
if (cod_edad=4 & (edad>=50 & edad<=54)) gedad=12.
if (cod_edad=4 & (edad>=55 & edad<=59)) gedad=13.
if (cod_edad=4 & (edad>=60 & edad<=64)) gedad=14.
if (cod_edad=4 & edad>=65) gedad=15.
if (cod_edad=9) gedad=16.
execute.


ADD VALUE LABELS gedad
1 'Menos de un año'
2 '1 a 4 años'
3 '5 a 9 años'
4 '10 - 14 años'
5 '15 - 19 años'
6 '20 - 24 años'
7 '25 - 29 años'
8 '30 - 34 años'
9 '35 - 39 años'
10 '40 - 44 años'
11 '45 - 49 años'
12 '50 - 54 años'
13 '55 - 59 años'
14 '60 - 64 años'
15 '65 años y más'
16 'Edad ignorada'.
execute. 


USE ALL.
COMPUTE filter_$=(anio_fall>=2008).
VARIABLE LABELS filter_$ 'anio_fall>=2008)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  (t+(reg_res>(t+prov_res))) by anio_fall>sexo>gedad.
filter off.

***1.5.7*

USE ALL.
COMPUTE filter_$=(anio_fall>=2008 & inf=6).
VARIABLE LABELS filter_$ 'anio_fall>=2008 & inf=6)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  (t+(reg_res>(t+prov_res))) by (anio_fall>(t+sexo)).

FILTER off.


*1.5.8*

if (cod_edad<=3) gedad1=1.
if (cod_edad=4)  gedad2=2.
if (cod_edad=9) gedad3=3.

execute.

ADD VALUE LABELS gedad1 gedad2 gedad3
1 'Menos de un año'
2 ' Mas de un año'
3 ' Sin información'.
execute. 

USE ALL.
COMPUTE filter_$=(anio_fall>=2008 ).
VARIABLE LABELS filter_$ 'anio_fall>=2008)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  (t+lc1) by anio_fall>(t+gedad1+gedad2>edad+gedad3).

FILTER off.

*1.5.9*

USE ALL.
COMPUTE filter_$=(anio_fall>=2008 ).
VARIABLE LABELS filter_$ 'anio_fall>=2008)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  (t+lc1) by (anio_fall>prov_res>(t+sexo)).

FILTER off.


***Serie de principales ciudades***
**1.5.10**

If (parr_res>="170101" and parr_res<="170150") ciu=1.
If (parr_res>="010101" and parr_res<="010150") ciu=2.
If (parr_res>="090101" and parr_res<="090150") ciu=3.
If (parr_res>="070101" and parr_res<="070150") ciu=4.
If (parr_res>="180101" and parr_res<="180150") ciu=5.
execute.

ADD VALUE LABELS ciu
1 "Quito"
2 "Cuenca"
3 "Guayaquil"
4 "Machala"
5 "Ambato".
EXECUTE.

USE ALL.
COMPUTE filter_$=(anio_fall>=2008 ).
VARIABLE LABELS filter_$ 'anio_fall>=2008)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  (t+lc1) by (anio_fall>(ciu>(t+sexo))).
FILTER off.


***Sintaxis de gráficos ***

*2.2.1

***Crear valores absolutos de defunciones total y por sexo y luego dividir para las proyecciones y multiplicar por 1000*

**1.4.1*

TABLES
 /TABLE  anio_fall by (t+sexo).

**2.2.2

COMPUTE filter_$=(anio_fall=2020).
VARIABLE LABELS filter_$ 'anio_fall=2020)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
TABLES
 /TABLE  (lugar_ocur) by cer_por.
FILTER off.

*2.2.3
*crear variable tipo de certificación**

COMPUTE filter_$=(anio_fall=2020 ).
VARIABLE LABELS filter_$ 'anio_fall=2020)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
TABLES
 /TABLE  (lugar_ocur) by cer_por.
filter OFF.

*2.2.4

numeric certimed (F1.0). 

if (cer_por <=3) certimed = 1.
if (cer_por =5) certimed = 2.
if (cer_por =9) certimed = 3.
ADD VALUE LABELS certimed
1 'Con certificación médica'
2 'Sin certificación médica'
3"Sin información".
execute.

COMPUTE filter_$=(anio_fall=2020 ).
VARIABLE LABELS filter_$ 'anio_fall=2020)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
TABLES
 /TABLE  t1+(reg_res) by t1+certimed.
filter OFF.

*2.2.4

COMPUTE filter_$=(anio_fall=2018 & mm1=1 ).
VARIABLE LABELS filter_$ 'anio_fall=2018 & mm1=1)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
FREQUENCIES VARIABLES=prov_res
  /FORMAT=DFREQ
  /ORDER=ANALYSIS.
filter OFF.


*2.2.5

if (lc1 >=1 & lc1 <=65) lc1o=1.
if (lc1 >=88 & lc1 <=99) lc1o=2.


COMPUTE filter_$=(anio_fall=2020).
VARIABLE LABELS filter_$ 'anio_fall=2020 )  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

SORT CASES BY lc1o.
SPLIT FILE 
SEPARATE BY lc1o.

CTABLES
  /VLABELS VARIABLES=lc1 DISPLAY=LABEL
  /TABLE lc1 [COUNT F40.0]
  /CATEGORIES VARIABLES=lc1 ORDER=d KEY=COUNT EMPTY=EXCLUDE.

SPLIT FILE
OFF.
filter OFF.

*2.2.6

COMPUTE filter_$=(anio_fall=2020 & sexo =1).
VARIABLE LABELS filter_$ 'anio_fall=2020 & sexo =1 )  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

SORT CASES BY lc1o.
SPLIT FILE 
SEPARATE BY lc1o.

CTABLES
  /VLABELS VARIABLES=lc1 DISPLAY=LABEL
  /TABLE lc1 [COUNT F40.0]
  /CATEGORIES VARIABLES=lc1 ORDER=d KEY=COUNT EMPTY=EXCLUDE.

SPLIT FILE
OFF.
filter OFF.

*2.2.7

COMPUTE filter_$=(anio_fall=2020 & sexo =2).
VARIABLE LABELS filter_$ 'anio_fall=2020 & sexo =2 )  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

SORT CASES BY lc1o.
SPLIT FILE 
SEPARATE BY lc1o.

CTABLES
  /VLABELS VARIABLES=lc1 DISPLAY=LABEL
  /TABLE lc1 [COUNT F40.0]
  /CATEGORIES VARIABLES=lc1 ORDER=d KEY=COUNT EMPTY=EXCLUDE.

SPLIT FILE
OFF.
filter OFF.



*2.2.8

COMPUTE filter_$=(anio_fall=2020 & inf =6).
VARIABLE LABELS filter_$ 'anio_fall=2020 & inf =6 )  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


FREQUENCIES VARIABLES=causa67B
  /FORMAT=DFREQ
  /ORDER=ANALYSIS.

filter OFF.

*2.2.9

If (mm1 = 1) tmar=1.
If (mm13 = 11)tmar=2.
ADD VALUE LABELS tmar
1 "maternas oportunas"
2 "maternas tardias".


COMPUTE filter_$=(anio_fall=2020  & tmm=1 ).
VARIABLE LABELS filter_$ 'anio_fall=2020  & tmm=1)  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.
SORT CASES BY tmar.
SPLIT FILE 
SEPARATE BY tmar.

CTABLES
  /VLABELS VARIABLES=causa DISPLAY=LABEL
  /TABLE causa [COUNT F40.0]
  /CATEGORIES VARIABLES=causa ORDER=d KEY=COUNT EMPTY=EXCLUDE.

SPLIT FILE
OFF.
filter OFF.


*Generación de variables derivada**.
**Tipo de certificación**.
numeric certimed (F1.0). 

if (cer_por <=3) certimed = 1.
if (cer_por =5) certimed = 2.
if (cer_por =9) certimed = 3.
ADD VALUE LABELS certimed
1 'Con certificación médica'
2 'Sin certificación médica'
3"Sin información".
execute.

COMPUTE t1 =1.

VALUE LABELS t1
1 "Total".

VARIABLE LABELS 
t1  "Total"
/certimed "Tipo de certificación".


**Región de fallecimiento**.
IF (prov_fall = "01" or prov_fall = "02" or prov_fall = "03" or 
prov_fall = "04" or prov_fall = "05" or prov_fall = "06" or 
prov_fall = "10" or prov_fall = "11" or prov_fall = "17" or 
prov_fall = "18" or prov_fall = "23") reg_fall = 1.

IF (prov_fall = "07" or prov_fall = "08" or prov_fall = "09" or 
prov_fall = "12" or prov_fall = "13" or prov_fall = "24") reg_fall = 2.

IF (prov_fall = "14" or prov_fall = "15" or prov_fall = "16" or 
prov_fall = "19" or prov_fall = "21" or prov_fall = "22") reg_fall = 3.

IF (prov_fall = "20") reg_fall = 4. 

IF (prov_fall = "90") reg_fall = 5. 

IF (prov_fall = "88") reg_fall = 6. 

value labels reg_fall
1 "Región Sierra"
2 "Región Costa"
3 "Región Amazónica"
4 "Región Insular"
5 "Zonas no delimitadas"
6 "Exterior".
execute. 

**Creación de la variable residente**.
do if  (prov_fall = prov_res & cant_fall = cant_res).
compute residente = 1.
ELSE.
COMPUTE residente = 2.
end if. 

value labels residente
1 "Residente"
2 "No residente".
*execute. 

**Grandes grupos de edad**.
numeric gedad (F1.0).
if (cod_edad  <=3) gedad = 1. 
if (cod_edad = 4 & edad >= 1) gedad = 2.
if (cod_edad = 9) gedad  = 3.
execute.

value labels gedad
1 'Menor a un año'
2 'Un año y más'
3 'Sin información'. 

**Región de residencia**.
IF (prov_res = "01" or prov_res = "02" or prov_res = "03" or 
prov_res = "04" or prov_res = "05" or prov_res = "06" or 
prov_res = "10" or prov_res = "11" or prov_res = "17" or 
prov_res = "18" or prov_res = "23") reg_res = 1.

IF (prov_res = "07" or prov_res = "08" or prov_res = "09" or 
prov_res = "12" or prov_res = "13" or prov_res = "24") reg_res = 2.

IF (prov_res = "14" or prov_res = "15" or prov_res = "16" or 
prov_res = "19" or prov_res = "21" or prov_res = "22") reg_res = 3.

IF (prov_res = "20") reg_res = 4. 

IF (prov_res = "90") reg_res = 5. 

IF (prov_res = "88") reg_res = 6. 

value labels reg_res
1 "Región Sierra"
2 "Región Costa"
3 "Región Amazónica"
4 "Región Insular"
5 "Zonas no delimitadas"
6 "Exterior".
execute. 

**Grupos de edad mayores igual a 12 años**.
NUMERIC gedad1 (F2.0).
if (cod_edad = 4 and (edad >= 12 and edad <= 14)) gedad1 = 1.
if (cod_edad = 4 and (edad >= 15 and edad <= 19)) gedad1 = 2.
if (cod_edad = 4 and (edad >= 20 and edad <= 24)) gedad1 = 3.
if (cod_edad = 4 and (edad >= 25 and edad <= 29)) gedad1 = 4.
if (cod_edad = 4 and (edad >= 30 and edad <= 34)) gedad1 = 5.
if (cod_edad = 4 and (edad >= 35 and edad <= 39)) gedad1 = 6.
if (cod_edad = 4 and (edad >= 40 and edad <= 44)) gedad1 = 7.
if (cod_edad = 4 and (edad >= 45 and edad <= 49)) gedad1 = 8.
if (cod_edad = 4 and (edad >= 50 and edad <= 54)) gedad1 = 9.
if (cod_edad = 4 and (edad >= 55 and edad <= 59)) gedad1 = 10.
if (cod_edad = 4 and (edad >= 60 and edad <= 64)) gedad1 = 11.
if (cod_edad = 4 and (edad >= 65 and edad <= 69)) gedad1 = 12.
if (cod_edad = 4 and (edad >= 70 and edad <= 74)) gedad1 = 13.
if (cod_edad = 4 and (edad >= 75 and edad <= 79)) gedad1 = 14.
if (cod_edad = 4 and (edad >= 80 and edad <= 84)) gedad1 = 15.
if (cod_edad = 4 and edad >= 85) gedad1 = 16.
if (cod_edad = 9) gedad1 = 17.

value labels gedad1
1 '12 a 14 años'
2 '15 a 19 años'
3 '20 a 24 años'
4 '25 a 29 años'
5 '30 a 34 años'
6 '35 a 39 años'
7 '40 a 44 años'
8 '45 a 49 años'
9 '50 a 54 años'
10 '55 a 59 años'
11 '60 a 64 años'
12 '65 a 69 años'
13 '70 a 74 años'
14 '75 a 79 años'
15 '80 a 84 años'
16 '85 y más años'
17 'Sin información '.
execute. 

**Creación de grandes grupos de edad**.
NUMERIC gedad2 (F2.0).
if (cod_edad<=3) gedad2 = 1. 
if (cod_edad = 4 and (edad >= 1 and edad <= 4)) gedad2 = 2.
if (cod_edad = 4 and (edad >= 5 and edad <= 14)) gedad2= 3.
if (cod_edad = 4 and (edad >= 15 and edad <= 49)) gedad2 = 4.
if (cod_edad = 4 and (edad >= 50 and edad <= 64)) gedad2= 5.
if (cod_edad = 4 and edad >= 65) gedad2 = 6.
if (cod_edad = 9) gedad2 = 7.
execute. 

value labels gedad2
1 " Menores de 1 año"
2 " 1 a 4 años"
3 " 5 a 14 años"
4 "15 a 49 años"
5 "50 a 64 años"
6 "65 y más años"
7 "Sin información". 

*Creación de meses para menores de un año**.

if (cod_edad <= 1) meses = 1.
if (cod_edad = 2 and edad<=29) meses = 1.
if (cod_edad = 2 and edad>=30) meses = 2.
if (cod_edad = 3 and edad = 1) meses = 2.
if (cod_edad = 3 and edad = 2) meses = 3.
if (cod_edad = 3 and edad = 3) meses = 4.
if (cod_edad = 3 and edad = 4) meses = 5.
if (cod_edad = 3 and edad = 5) meses = 6.
if (cod_edad = 3 and edad = 6) meses = 7.
if (cod_edad = 3 and edad = 7) meses = 8.
if (cod_edad = 3 and edad = 8) meses = 9.
if (cod_edad = 3 and edad = 9) meses = 10.
if (cod_edad = 3 and edad = 10) meses = 11.
if (cod_edad = 3 and edad = 11) meses = 12.

VALUE LABELS
meses 
        1 'Menor a 1 mes'
        2 '1 mes'
        3 '2 meses'
        4 '3 meses'
        5 '4 meses'
        6 '5 meses'
        7 '6 meses'
        8 '7  meses'
        9 '8  meses'
        10 '9  meses'
        11 '10  meses'
        12 '11  meses'.
EXECUTE.
*
****CODIFICACION PARA MENORES DE 1 MES**.
if (cod_edad <= 1) dias = 1.
if (cod_edad = 2 and edad = 1) dias = 2.
if (cod_edad = 2 and edad =2)  dias = 3.
if (cod_edad = 2 and edad =3)  dias = 4.
if (cod_edad = 2 and edad =4)  dias = 5.
if (cod_edad = 2  and edad =5)  dias = 6.
if (cod_edad = 2  and edad =6)  dias = 7.
if (cod_edad = 2  and edad >= 7 and edad <= 13) dias = 8.
if (cod_edad = 2  and edad >= 14 and edad <= 20) dias = 9.
if (cod_edad = 2  and edad >= 21 and edad <= 27) dias = 10.
if (cod_edad = 2  and edad >= 28 and edad <= 30) dias = 11.

VALUE LABELS
dias 
        1 'Menos de 1 día'
        2 '1 día'
        3 '2 día'
        4 '3 día'
        5 '4 día'
        6 '5 día'
        7 '6 día'
        8 '7 - 13 días'
        9 '14 - 20 días'
        10 '21 - 27 días'
        11 '28 - 30 días'.
EXECUTE.

***AGRUPACIÓN DE CAUSAS103**.
NUMERIC gcausa103 (F2.0).
if (causa103 >= "002" and causa103 <= "025") gcausa103 = 1.
if (causa103 >= "027" and causa103 <= "047") gcausa103 = 2.
if (causa103 >= "049" and causa103 <= "050") gcausa103 = 3.
if (causa103 >= "052" and causa103 <= "054") gcausa103 = 4.
if (causa103 >= "056" and causa103 <= "057") gcausa103 = 5.
if (causa103 >= "059" and causa103 <= "061") gcausa103 = 6.
if (causa103 = "062") gcausa103 = 7.
if (causa103 = "063") gcausa103 = 8.
if (causa103 >= "065" and causa103 <= "071") gcausa103 = 9.
if (causa103 >= "073" and causa103 <= "077") gcausa103 = 10.
if (causa103 >= "079" and causa103 <= "081") gcausa103 = 11.
if (causa103 = "082") gcausa103 = 12.
if (causa103 = "083") gcausa103 = 13.
if (causa103 >= "085" and causa103 <= "086") gcausa103 = 14.
if (causa103 >= "088" and causa103 <= "091") gcausa103 = 15.
if (causa103 = "092") gcausa103 = 16.
if (causa103 = "093") gcausa103 = 17.
if (causa103 = "094") gcausa103 = 18.
if (causa103 >= "096" and causa103 <= "103") gcausa103 = 19.
if (causa103 = "104") gcausa103 = 20. 
EXECUTE.

VALUE LABELS gcausa103
1 '001 Ciertas enfermedades infecciosas y parasitarias'
2 '026 Tumores (Neoplasias)'
3 '048 Enfermedades de la sangre y de los órganos hematopoyéticos, y ciertos trastornos que afectan al mecanismo de la inmunidad'
4 '051 Enfermedades endocrinas, nutricionales y metabólicas'
5 '055 Trastornos mentales y del comportamiento'
6 '058 Enfermedades del sistema nervioso'
7 '062 Enfermedades del ojo y sus anexos'
8 '063 Enfermedades del oído y apófisis mastoides'
9 '064 Enfermedades del sistema circulatorio'
10 '072 Enfermedades del sistema respiratorio'
11 '078 Enfermedades del sistema digestivo'
12 '082 Enfermedades de la piel y tejido subcutáneo'
13 '083 Enfermedades del sistema osteomuscular y tejido conjuntivo'
14 '084 Enfermedades del sistema genitourinario'
15 '087 Embarazo, parto y puerperio'
16 '092 Ciertas afecciones originadas en el periodo perinatal'
17 '093 Malformaciones congénitas, deformidades y anomalías'
18 '094 Sintomas, signos y hallazgos anormales clínicos'
19 '095 Causas externas de morbilidad y de mortalidad'
20 '104 COVID-19 Confirmados y sospechosos'.   
EXECUTE.

** CODIFICACION GRUPOS DE CAUSA**.
NUMERIC gcausa (F2.0).
if (causa >= 'A00' and causa <= 'B99') gcausa = 1.
if (causa >= 'C00' and causa <= 'D48') gcausa = 2.
if (causa >= 'D50' and causa <= 'D89') gcausa = 3.
if (causa >= 'E00' and causa <= 'E90') gcausa = 4.
if (causa >= 'F00' and causa <= 'F99') gcausa = 5.
if (causa >= 'G00' and causa <= 'G99') gcausa = 6.
if (causa >= 'H00' and causa <= 'H59') gcausa = 7.
if (causa >= 'H60' and causa <= 'H95') gcausa = 8.
if (causa >= 'I00' and causa <= 'I99') gcausa = 9.
if (causa >= 'J00' and causa <= 'J99') gcausa = 10.
if (causa >= 'K00' and causa <= 'K93') gcausa = 11.
if (causa >= 'L00' and causa <= 'L99') gcausa = 12.
if (causa >= 'M00' and causa <= 'M99') gcausa = 13.
if (causa >= 'N00' and causa <= 'N99') gcausa = 14.
if (causa >= 'O00' and causa <= 'O99') gcausa = 15.
if (causa >= 'P00' and causa <= 'P96') gcausa = 16.
if (causa >= 'Q00' and causa <= 'Q99') gcausa = 17.
if (causa >= 'R00' and causa <= 'R99') gcausa = 18.
if (causa >= 'S00' and causa <= 'T98') gcausa = 19.
if (causa >= 'V01' and causa <= 'Y98') gcausa = 20.
if (causa >= 'Z00' and causa <= 'Z99') gcausa = 21.
if (causa ='U07') gcausa = 22.    
EXECUTE.

VALUE LABELS gcausa 
	1 'I Ciertas enfermedades infecciosas y parasitarias'
	2 'II Tumores[Neoplasias]'
	3 'III Enfermedades de la sangre y de los órganos hematopoyéticos, y ciertos trastornos que afectan al mecanismo de la inmunidad'
	4 'IV Enfermedades endócrinas, nutricionales y metabólicas'
	5 'V Trastornos mentales y del comportamiento'
	6 'VI Enfermedades del sistema nervioso'
	7 'VII Enfermedades del ojo y sus anexos'
	8 'VIII Enfermedades del oído y de la apófisis mastoides'
	9 'IX Enfermedades del sistema circulatorio'
	10 'X Enfermedades del sistema respiratorio'
	11 'XI Enfermedades del sistema digestivo'
	12 'XII Enfermedades de la piel y del tejido subcutáneo'
	13 'XIII Enfermedades del sistema osteomuscular y del tejido conjuntivo'
	14 'XIV Enfermedades del sistema genitourinario'
	15 'XV Embarazo, parto y puerperio'
	16 'XVI Ciertas afecciones originadas en el periodo perinatal'
	17 'XVII Malformaciones congénitas, deformidades y anomalías cromosómicas'
	18 'XVIII Sintomas, signos y hallazgos anormales clínicos y de laboratorio'
	19 'XIX  Traumatismos, envenenamientos y algunas otras consecuencias de causas externas'     
	20 'XX Causas externas de morbilidad y de mortalidad'
	21 'XXI   Factores que influyen en el estado de la salud y contacto con los servicios de salud' 
 22 'COVID-19 Confirmados y sospechosos'. 
EXECUTE.

*Sintaxis Lista causas667*

numeric causa667 (F3.0).
compute causa667 = 999.
IF (CAUSA = 'A00') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A01') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A02') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A03') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A04') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A05') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A06') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A07') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A08') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A09') CAUSA667 = 101.                                                                                                                                                                                                                        
IF (CAUSA = 'A15') CAUSA667 = 102.                                                                                                                                                                                                                        
IF (CAUSA = 'A16') CAUSA667 = 102.                                                                                                                                                                                                                        
IF (CAUSA = 'A17') CAUSA667 = 102.                                                                                                                                                                                                                        
IF (CAUSA = 'A18') CAUSA667 = 102.                                                                                                                                                                                                                        
IF (CAUSA = 'A19') CAUSA667 = 102.                                                                                                                                                                                                                        
IF (CAUSA = 'A20') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A21') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A22') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A23') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A24') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A25') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A26') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A27') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A28') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A30') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A31') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A32') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A33') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'A34') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'A35') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'A36') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'A37') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'A38') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A39') CAUSA667 = 105.                                                                                                                                                                                                                        
IF (CAUSA = 'A40') CAUSA667 = 106.                                                                                                                                                                                                                        
IF (CAUSA = 'A41') CAUSA667 = 106.                                                                                                                                                                                                                        
IF (CAUSA = 'A42') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A43') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A44') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A46') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A48') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A49') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A50') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A51') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A52') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A53') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A54') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A55') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A56') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A57') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A58') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A59') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A60') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A63') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A64') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A65') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A66') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A67') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A68') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A69') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A70') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A71') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A74') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A75') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A77') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A78') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A79') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A80') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'A81') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A82') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A83') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A84') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A85') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A86') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A87') CAUSA667 = 105.                                                                                                                                                                                                                        
IF (CAUSA = 'A88') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A89') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'A90') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A91') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A92') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A93') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A94') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A95') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A96') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A98') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'A99') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B00') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B01') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B02') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'B04') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B05') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'B06') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'B07') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B08') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B09') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B15') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B16') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'B17') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B18') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B19') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B20') CAUSA667 = 107.                                                                                                                                                                                                                        
IF (CAUSA = 'B21') CAUSA667 = 107.                                                                                                                                                                                                                        
IF (CAUSA = 'B22') CAUSA667 = 107.                                                                                                                                                                                                                        
IF (CAUSA = 'B23') CAUSA667 = 107.                                                                                                                                                                                                                        
IF (CAUSA = 'B24') CAUSA667 = 107.                                                                                                                                                                                                                        
IF (CAUSA = 'B25') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B26') CAUSA667 = 104.                                                                                                                                                                                                                        
IF (CAUSA = 'B27') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B30') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B33') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B34') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B35') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B36') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B37') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B38') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B39') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B40') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B41') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B42') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B43') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B44') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B45') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B46') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B47') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B48') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B49') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B50') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'B51') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'B52') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'B53') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'B54') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'B55') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'B56') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'B57') CAUSA667 = 103.                                                                                                                                                                                                                        
IF (CAUSA = 'B58') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B59') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B60') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B64') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B65') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B66') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B67') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B68') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B69') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B70') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B71') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B72') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B73') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B74') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B75') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B76') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B77') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B78') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B79') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B80') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B81') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B82') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B83') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B85') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B86') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B87') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B88') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B89') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B90') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B91') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B92') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B94') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'B95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'B96') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'B97') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'B99') CAUSA667 = 109.                                                                                                                                                                                                                        
IF (CAUSA = 'C00') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C01') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C02') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C03') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C04') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C05') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C06') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C07') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C08') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C09') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C10') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C11') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C12') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C13') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C14') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C15') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C16') CAUSA667 = 201.                                                                                                                                                                                                                        
IF (CAUSA = 'C17') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C18') CAUSA667 = 202.                                                                                                                                                                                                                        
IF (CAUSA = 'C19') CAUSA667 = 202.                                                                                                                                                                                                                        
IF (CAUSA = 'C20') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C21') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C22') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C23') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C24') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C25') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C26') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C30') CAUSA667 = 205.                                                                                                                                                                                                                        
IF (CAUSA = 'C31') CAUSA667 = 205.                                                                                                                                                                                                                        
IF (CAUSA = 'C32') CAUSA667 = 205.                                                                                                                                                                                                                        
IF (CAUSA = 'C33') CAUSA667 = 204.                                                                                                                                                                                                                        
IF (CAUSA = 'C34') CAUSA667 = 204.                                                                                                                                                                                                                        
IF (CAUSA = 'C37') CAUSA667 = 205.                                                                                                                                                                                                                        
IF (CAUSA = 'C38') CAUSA667 = 205.                                                                                                                                                                                                                        
IF (CAUSA = 'C39') CAUSA667 = 205.                                                                                                                                                                                                                        
IF (CAUSA = 'C40') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C41') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C43') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C44') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C45') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C46') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C47') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C48') CAUSA667 = 203.                                                                                                                                                                                                                        
IF (CAUSA = 'C49') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C50') CAUSA667 = 206.                                                                                                                                                                                                                        
IF (CAUSA = 'C51') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C52') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C53') CAUSA667 = 207.                                                                                                                                                                                                                        
IF (CAUSA = 'C54') CAUSA667 = 208.                                                                                                                                                                                                                        
IF (CAUSA = 'C55') CAUSA667 = 209.                                                                                                                                                                                                                        
IF (CAUSA = 'C56') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C57') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C58') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C60') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C61') CAUSA667 = 210.                                                                                                                                                                                                                        
IF (CAUSA = 'C62') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C63') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C64') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C65') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C66') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C67') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C68') CAUSA667 = 211.                                                                                                                                                                                                                        
IF (CAUSA = 'C69') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C70') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C71') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C72') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C73') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C74') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C75') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C76') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C77') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C78') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C79') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C80') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'C81') CAUSA667 = 213.                                                                                                                                                                                                                        
IF (CAUSA = 'C82') CAUSA667 = 213.                                                                                                                                                                                                                        
IF (CAUSA = 'C83') CAUSA667 = 213.                                                                                                                                                                                                                        
IF (CAUSA = 'C84') CAUSA667 = 213.                                                                                                                                                                                                                        
IF (CAUSA = 'C85') CAUSA667 = 213.     
IF (CAUSA = 'C86') CAUSA667 = 213.                                                                                                                                                                                                                     
IF (CAUSA = 'C88') CAUSA667 = 213.                                                                                                                                                                                                                        
IF (CAUSA = 'C90') CAUSA667 = 213.                                                                                                                                                                                                                        
IF (CAUSA = 'C91') CAUSA667 = 212.                                                                                                                                                                                                                        
IF (CAUSA = 'C92') CAUSA667 = 212.                                                                                                                                                                                                                        
IF (CAUSA = 'C93') CAUSA667 = 212.                                                                                                                                                                                                                        
IF (CAUSA = 'C94') CAUSA667 = 212.                                                                                                                                                                                                                        
IF (CAUSA = 'C95') CAUSA667 = 212.                                                                                                                                                                                                                        
IF (CAUSA = 'C96') CAUSA667 = 213.                                                                                                                                                                                                                        
IF (CAUSA = 'C97') CAUSA667 = 214.                                                                                                                                                                                                                        
IF (CAUSA = 'D00') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D01') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D02') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D03') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D04') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D05') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D06') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D07') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D09') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D10') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D11') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D12') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D13') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D14') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D15') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D16') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D17') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D18') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D19') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D20') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D21') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D22') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D23') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D24') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D25') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D26') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D27') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D28') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D29') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D30') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D31') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D32') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D33') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D34') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D35') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D36') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D37') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D38') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D39') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D40') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D41') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D42') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D43') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D44') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D45') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D46') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D47') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D48') CAUSA667 = 215.                                                                                                                                                                                                                        
IF (CAUSA = 'D50') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'D51') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'D52') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'D53') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'D55') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D56') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D57') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D58') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D59') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D60') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D61') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D62') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'D64') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D65') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D66') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D67') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D68') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D69') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D70') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D71') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D72') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D73') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D74') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D75') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D76') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D77') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'D80') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D81') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D82') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D83') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D84') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D86') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'D89') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E00') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E01') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E02') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E03') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E04') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E05') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E06') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E07') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E10') CAUSA667 = 601.                                                                                                                                                                                                                        
IF (CAUSA = 'E11') CAUSA667 = 601.                                                                                                                                                                                                                        
IF (CAUSA = 'E12') CAUSA667 = 601.                                                                                                                                                                                                                        
IF (CAUSA = 'E13') CAUSA667 = 601.                                                                                                                                                                                                                        
IF (CAUSA = 'E14') CAUSA667 = 601.                                                                                                                                                                                                                        
IF (CAUSA = 'E15') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E16') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E20') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E21') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E22') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E23') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E24') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E25') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E26') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E27') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E28') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'E29') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'E30') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'E31') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E32') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E34') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E35') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'E40') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E41') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E42') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E43') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E44') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E45') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E46') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E50') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E51') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E52') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E53') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E54') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E55') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E56') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E58') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E59') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E60') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E61') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E63') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E64') CAUSA667 = 602.                                                                                                                                                                                                                        
IF (CAUSA = 'E65') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E66') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E67') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E68') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E70') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E71') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E72') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E73') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E74') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E75') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E76') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E77') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E78') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E79') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E80') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E83') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E84') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E85') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E86') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E87') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E88') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'E89') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'E90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'F00') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'F01') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F02') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'F03') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F04') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F05') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F06') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F07') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F09') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F10') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F11') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F12') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F13') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F14') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F15') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F16') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F17') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F18') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F19') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F20') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F21') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F22') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F23') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F24') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F25') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F28') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F29') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F30') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F31') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F32') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F33') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F34') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F38') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F39') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F40') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F41') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F42') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F43') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F44') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F45') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F48') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F50') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'F52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'F53') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F54') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F55') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F59') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F60') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F61') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F62') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F63') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F64') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F65') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F66') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F68') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F69') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F70') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F71') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F72') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F73') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F78') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F79') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F80') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F81') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F82') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F83') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F84') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F88') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F89') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F90') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F91') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F92') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F93') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F94') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F95') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F98') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'F99') CAUSA667 = 603.                                                                                                                                                                                                                        
IF (CAUSA = 'G00') CAUSA667 = 105.                                                                                                                                                                                                                        
IF (CAUSA = 'G01') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G02') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G03') CAUSA667 = 105.                                                                                                                                                                                                                        
IF (CAUSA = 'G04') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G05') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G06') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G07') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G08') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G09') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G10') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G11') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G12') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G13') CAUSA667 = 000.    
IF (CAUSA = 'G14') CAUSA667 = 614.                                                                                                                                                                                                                     
IF (CAUSA = 'G20') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G21') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G23') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G24') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G25') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G26') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G30') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G31') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G32') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G35') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G36') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G37') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G40') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G41') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G43') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G44') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G45') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G46') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G47') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G50') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G51') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G52') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G54') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G55') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G56') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G57') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G58') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G59') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G60') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G61') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G62') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G64') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G70') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G71') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G72') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G80') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G81') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G82') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G83') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G90') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G91') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G92') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G93') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G94') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G95') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G96') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G97') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'G98') CAUSA667 = 604.                                                                                                                                                                                                                        
IF (CAUSA = 'G99') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H00') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H01') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H02') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H04') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H05') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H06') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H10') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H11') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H13') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H15') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H16') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H17') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H18') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H19') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H20') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H21') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H25') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H26') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H27') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H28') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H30') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H31') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H32') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H33') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H34') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H35') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H36') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H40') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H42') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H43') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H44') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H45') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H46') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H47') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H48') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H49') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H50') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H54') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H55') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H57') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H58') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H59') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H60') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H61') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H62') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H65') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H66') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H67') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H68') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H69') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H70') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H71') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H72') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H73') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H74') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H80') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H81') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H83') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'H90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H92') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H93') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H94') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'H95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I00') CAUSA667 = 301.                                                                                                                                                                                                                        
IF (CAUSA = 'I01') CAUSA667 = 301.                                                                                                                                                                                                                        
IF (CAUSA = 'I02') CAUSA667 = 301.                                                                                                                                                                                                                        
IF (CAUSA = 'I05') CAUSA667 = 301.                                                                                                                                                                                                                        
IF (CAUSA = 'I06') CAUSA667 = 301.                                                                                                                                                                                                                        
IF (CAUSA = 'I07') CAUSA667 = 301.                                                                                                                                                                                                                        
IF (CAUSA = 'I08') CAUSA667 = 301.                                                                                                                                                                                                                        
IF (CAUSA = 'I09') CAUSA667 = 301.                                                                                                                                                                                                                        
IF (CAUSA = 'I10') CAUSA667 = 302.                                                                                                                                                                                                                        
IF (CAUSA = 'I11') CAUSA667 = 302.                                                                                                                                                                                                                        
IF (CAUSA = 'I12') CAUSA667 = 302.                                                                                                                                                                                                                        
IF (CAUSA = 'I13') CAUSA667 = 302.                                                                                                                                                                                                                        
IF (CAUSA = 'I15') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I20') CAUSA667 = 303.                                                                                                                                                                                                                        
IF (CAUSA = 'I21') CAUSA667 = 303.                                                                                                                                                                                                                        
IF (CAUSA = 'I22') CAUSA667 = 303.                                                                                                                                                                                                                        
IF (CAUSA = 'I23') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I24') CAUSA667 = 303.                                                                                                                                                                                                                        
IF (CAUSA = 'I25') CAUSA667 = 303.                                                                                                                                                                                                                        
IF (CAUSA = 'I26') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I27') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I28') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I30') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I31') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I32') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I33') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I34') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I35') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I36') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I37') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I38') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I39') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I40') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I41') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I42') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I43') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I44') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I45') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I46') CAUSA667 = 305.                                                                                                                                                                                                                        
IF (CAUSA = 'I47') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I48') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I49') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I50') CAUSA667 = 306.                                                                                                                                                                                                                        
IF (CAUSA = 'I51') CAUSA667 = 304.                                                                                                                                                                                                                        
IF (CAUSA = 'I52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I60') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I61') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I62') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I63') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I64') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I65') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I66') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I67') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I68') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I69') CAUSA667 = 307.                                                                                                                                                                                                                        
IF (CAUSA = 'I70') CAUSA667 = 308.                                                                                                                                                                                                                        
IF (CAUSA = 'I71') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I72') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I73') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I74') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I77') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I78') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I79') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I80') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I81') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I82') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I83') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I84') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I85') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I86') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I87') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I88') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I89') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I95') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'I97') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I98') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'I99') CAUSA667 = 309.                                                                                                                                                                                                                        
IF (CAUSA = 'J00') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J01') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J02') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J03') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J04') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J05') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J06') CAUSA667 = 108. 
if (causa = 'J09') causa667 = 108.                                                                                                                                                                                                                       
IF (CAUSA = 'J10') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J11') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J12') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J13') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J14') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J15') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J16') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J17') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'J18') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J20') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J21') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J22') CAUSA667 = 108.                                                                                                                                                                                                                        
IF (CAUSA = 'J30') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J31') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J32') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J33') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'J34') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'J35') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J36') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J37') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J38') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J39') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J40') CAUSA667 = 605.                                                                                                                                                                                                                        
IF (CAUSA = 'J41') CAUSA667 = 605.                                                                                                                                                                                                                        
IF (CAUSA = 'J42') CAUSA667 = 605.                                                                                                                                                                                                                        
IF (CAUSA = 'J43') CAUSA667 = 605.                                                                                                                                                                                                                        
IF (CAUSA = 'J44') CAUSA667 = 605.                                                                                                                                                                                                                        
IF (CAUSA = 'J45') CAUSA667 = 605.                                                                                                                                                                                                                        
IF (CAUSA = 'J46') CAUSA667 = 605.                                                                                                                                                                                                                        
IF (CAUSA = 'J47') CAUSA667 = 605.                                                                                                                                                                                                                        
IF (CAUSA = 'J60') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J61') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J62') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J63') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J64') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J65') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J66') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J67') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J68') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J69') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J70') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J80') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J81') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J82') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J84') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J85') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J86') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J90') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'J92') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J93') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J94') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'J96') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J98') CAUSA667 = 606.                                                                                                                                                                                                                        
IF (CAUSA = 'J99') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K00') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K01') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K02') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K04') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K05') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K06') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K07') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K08') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K09') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K10') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K11') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K12') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K13') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K14') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K20') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K21') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K22') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K23') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K25') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K26') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K27') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K28') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K29') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K30') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K31') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K35') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K36') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K37') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K38') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K40') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K41') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K42') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K43') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K44') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K45') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K46') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K50') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K51') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K52') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K55') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K56') CAUSA667 = 607.                                                                                                                                                                                                                        
IF (CAUSA = 'K57') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K58') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K59') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K60') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K61') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K62') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K63') CAUSA667 = 609.      
IF (CAUSA = 'K64') CAUSA667 = 609.                                                                                                                                                                                                                    
IF (CAUSA = 'K65') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K66') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K67') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K70') CAUSA667 = 608.                                                                                                                                                                                                                        
IF (CAUSA = 'K71') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K72') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K73') CAUSA667 = 608.                                                                                                                                                                                                                        
IF (CAUSA = 'K74') CAUSA667 = 608.                                                                                                                                                                                                                        
IF (CAUSA = 'K75') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K76') CAUSA667 = 608.                                                                                                                                                                                                                        
IF (CAUSA = 'K77') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K80') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K81') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K82') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K83') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K85') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K86') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K87') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K90') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'K92') CAUSA667 = 609.                                                                                                                                                                                                                        
IF (CAUSA = 'K93') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L00') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L01') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L02') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L04') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L05') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L08') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L10') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L11') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L12') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L13') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L14') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L20') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L21') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L23') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L24') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L25') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L26') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L27') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L28') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L29') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L30') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L40') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L41') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L42') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L43') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L44') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L45') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L50') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L54') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L55') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L56') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L57') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L58') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L59') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L60') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L62') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L64') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L65') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L66') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L67') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L68') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L70') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L71') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L72') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L74') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L80') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L81') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L83') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L84') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L85') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L86') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L87') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L88') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L89') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L92') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'L93') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L94') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L95') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L97') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L98') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'L99') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M00') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M01') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M02') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M05') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M06') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M07') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M08') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M09') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M10') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M11') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M12') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M13') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M14') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M15') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M16') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M17') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M18') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M19') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M20') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M21') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M23') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M24') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M25') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M30') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M31') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M32') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M33') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M34') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M35') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M36') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M40') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M41') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M42') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M43') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M45') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M46') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M47') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M48') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M49') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M50') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M54') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M60') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M61') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M62') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M65') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M66') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M67') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M68') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M70') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M71') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M72') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M76') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M77') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M79') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M80') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M81') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M83') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M84') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M85') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M86') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M87') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M88') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M89') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M91') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M92') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M93') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M94') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M95') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'M96') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'M99') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N00') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N01') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N02') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N03') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N04') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N05') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N06') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N07') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N08') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N10') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N11') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N12') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N13') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N14') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N15') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N16') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N17') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N18') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N19') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N20') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N21') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N23') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N25') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N26') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N27') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N28') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N29') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N30') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N31') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N32') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N33') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N34') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N35') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N36') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N37') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N39') CAUSA667 = 610.                                                                                                                                                                                                                        
IF (CAUSA = 'N40') CAUSA667 = 611.                                                                                                                                                                                                                        
IF (CAUSA = 'N41') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N42') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N43') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N44') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N45') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N46') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N47') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N48') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N49') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N50') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N60') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N61') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N62') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N64') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N70') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N71') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N72') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N73') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N74') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N75') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N76') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N77') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N80') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N81') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N82') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N83') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N84') CAUSA667 = 614.                                                                                                                                                                                                                        
IF (CAUSA = 'N85') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N86') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N87') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N88') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N89') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N92') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N93') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N94') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N96') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N97') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N98') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'N99') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O00') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O01') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O02') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O03') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O04') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O05') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O06') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O07') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O08') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O10') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O11') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O12') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O13') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O14') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O15') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O16') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O20') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O21') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O22') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O23') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O24') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O25') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O26') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O28') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O29') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O30') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O31') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O32') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O33') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O34') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O35') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O36') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O40') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O41') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O42') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O43') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O44') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O45') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O46') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O47') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O48') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O60') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O61') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O62') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O63') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O64') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O65') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O66') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O67') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O68') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O69') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O70') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O71') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O72') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O73') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O74') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O75') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O80') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O81') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O83') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O84') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O85') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O86') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O87') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O88') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O89') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O90') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O91') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O92') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'O95') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O96') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O97') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O98') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'O99') CAUSA667 = 612.                                                                                                                                                                                                                        
IF (CAUSA = 'P00') CAUSA667 = 401.                                                                                                                                                                                                                        
IF (CAUSA = 'P01') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P02') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P03') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P04') CAUSA667 = 401.                                                                                                                                                                                                                        
IF (CAUSA = 'P05') CAUSA667 = 403.                                                                                                                                                                                                                        
IF (CAUSA = 'P07') CAUSA667 = 403.                                                                                                                                                                                                                        
IF (CAUSA = 'P08') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P10') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P11') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P12') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P13') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P14') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P15') CAUSA667 = 402.                                                                                                                                                                                                                        
IF (CAUSA = 'P20') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P21') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P22') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P23') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P24') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P25') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P26') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P27') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P28') CAUSA667 = 404.                                                                                                                                                                                                                        
IF (CAUSA = 'P29') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P35') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P36') CAUSA667 = 405.                                                                                                                                                                                                                        
IF (CAUSA = 'P37') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P38') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P39') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P50') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P51') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P52') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P53') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P54') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P55') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P56') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P57') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P58') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P59') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P60') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P61') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P70') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P71') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P72') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P74') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'P76') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P77') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P78') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P80') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P81') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P83') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P90') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P91') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P92') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P93') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P94') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P95') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'P96') CAUSA667 = 406.                                                                                                                                                                                                                        
IF (CAUSA = 'Q00') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q01') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q02') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q03') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q04') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q05') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q06') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q07') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q10') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q11') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q12') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q13') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q14') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q15') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q16') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q17') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q18') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q20') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q21') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q22') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q23') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q24') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q25') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q26') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q27') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q28') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q30') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q31') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q32') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q33') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q34') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q35') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q36') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q37') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q38') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q39') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q40') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q41') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q42') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q43') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q44') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q45') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q50') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q54') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q55') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q56') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q60') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q61') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q62') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q63') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q64') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q65') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q66') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q67') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q68') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q69') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q70') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q71') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q72') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q74') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q75') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q76') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q77') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q78') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q79') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q80') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q81') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q82') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q83') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q84') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Q85') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q86') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q87') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q89') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q90') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q91') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q92') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q93') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q95') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q96') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q97') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q98') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'Q99') CAUSA667 = 613.                                                                                                                                                                                                                        
IF (CAUSA = 'R00') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R01') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R02') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R04') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R05') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R06') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R07') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R09') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R10') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R11') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R12') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R13') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R14') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R15') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R16') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R17') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R18') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R19') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R20') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R21') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R23') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R25') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R26') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R27') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R29') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R30') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R31') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R32') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R33') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R34') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R35') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R36') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R39') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R40') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R41') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R42') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R43') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R44') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R45') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R46') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R47') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R48') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R49') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R50') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R54') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R55') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R56') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R57') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R58') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R59') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R60') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R61') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R62') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R64') CAUSA667 = 000.    
IF (CAUSA = 'R65') CAUSA667 = 000.                                                                                                                                                                                                                      
IF (CAUSA = 'R68') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R69') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R70') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R71') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R72') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R74') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R76') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R77') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R78') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R79') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R80') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R81') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R83') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R84') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R85') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R86') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R87') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R89') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R92') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R93') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R94') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R96') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R98') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'R99') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S00') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S01') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S02') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S04') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S05') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S06') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S07') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S08') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S09') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S10') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S11') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S12') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S13') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S14') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S15') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S16') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S17') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S18') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S19') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S20') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S21') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S23') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S24') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S25') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S26') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S27') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S28') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S29') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S30') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S31') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S32') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S33') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S34') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S35') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S36') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S37') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S38') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S39') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S40') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S41') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S42') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S43') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S44') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S45') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S46') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S47') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S48') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S49') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S50') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S54') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S55') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S56') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S57') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S58') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S59') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S60') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S61') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S62') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S64') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S65') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S66') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S67') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S68') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S69') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S70') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S71') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S72') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S74') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S76') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S77') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S78') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S79') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S80') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S81') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S83') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S84') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S85') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S86') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S87') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S88') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S89') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S92') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S93') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S94') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S96') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S97') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S98') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'S99') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T00') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T01') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T02') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T04') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T05') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T06') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T07') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T08') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T09') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T10') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T11') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T12') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T13') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T14') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T15') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T16') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T17') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T18') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T19') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T20') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T21') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T23') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T24') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T25') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T26') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T27') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T28') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T29') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T30') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T31') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T32') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T33') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T34') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T35') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T36') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T37') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T38') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T39') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T40') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T41') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T42') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T43') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T44') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T45') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T46') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T47') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T48') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T49') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T50') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T54') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T55') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T56') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T57') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T58') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T59') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T60') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T61') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T62') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T64') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T65') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T66') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T67') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T68') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T69') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T70') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T71') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T74') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T78') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T79') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T80') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T81') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T83') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T84') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T85') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T86') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T87') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T88') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T92') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T93') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T94') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T96') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T97') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'T98') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'V01') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V02') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V03') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V04') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V05') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V06') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V09') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V10') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V11') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V12') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V13') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V14') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V15') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V16') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V17') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V18') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V19') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V20') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V21') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V22') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V23') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V24') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V25') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V26') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V27') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V28') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V29') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V30') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V31') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V32') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V33') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V34') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V35') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V36') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V37') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V38') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V39') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V40') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V41') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V42') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V43') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V44') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V45') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V46') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V47') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V48') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V49') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V50') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V51') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V52') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V53') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V54') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V55') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V56') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V57') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V58') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V59') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V60') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V61') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V62') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V63') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V64') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V65') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V66') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V67') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V68') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V69') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V70') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V71') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V72') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V73') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V74') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V75') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V76') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V77') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V78') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V79') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V80') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V81') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V82') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V83') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V84') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V85') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V86') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V87') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V88') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V89') CAUSA667 = 501.                                                                                                                                                                                                                        
IF (CAUSA = 'V90') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V91') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V92') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V93') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V94') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V95') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V96') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V97') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V98') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'V99') CAUSA667 = 502.                                                                                                                                                                                                                        
IF (CAUSA = 'W00') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W01') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W02') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W03') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W04') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W05') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W06') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W07') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W08') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W09') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W10') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W11') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W12') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W13') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W14') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W15') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W16') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W17') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W18') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W19') CAUSA667 = 503.                                                                                                                                                                                                                        
IF (CAUSA = 'W20') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W21') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W22') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W23') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W24') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W25') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W26') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W27') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W28') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W29') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W30') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W31') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W32') CAUSA667 = 504.                                                                                                                                                                                                                        
IF (CAUSA = 'W33') CAUSA667 = 504.                                                                                                                                                                                                                        
IF (CAUSA = 'W34') CAUSA667 = 504.                                                                                                                                                                                                                        
IF (CAUSA = 'W35') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W36') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W37') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W38') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W39') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W40') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W41') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W42') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W43') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W44') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W45') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W49') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W50') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W51') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W52') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W53') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W54') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W55') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W56') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W57') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W58') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W59') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W60') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W64') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W65') CAUSA667 = 505.                                                                                                                                                                                                                        
IF (CAUSA = 'W66') CAUSA667 = 505.                                                                                                                                                                                                                        
IF (CAUSA = 'W67') CAUSA667 = 505.                                                                                                                                                                                                                        
IF (CAUSA = 'W68') CAUSA667 = 505.                                                                                                                                                                                                                        
IF (CAUSA = 'W69') CAUSA667 = 505.                                                                                                                                                                                                                        
IF (CAUSA = 'W70') CAUSA667 = 505.                                                                                                                                                                                                                        
IF (CAUSA = 'W73') CAUSA667 = 505.                                                                                                                                                                                                                        
IF (CAUSA = 'W74') CAUSA667 = 505.                                                                                                                                                                                                                        
IF (CAUSA = 'W75') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W76') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W77') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W78') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W79') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W80') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W81') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W83') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W84') CAUSA667 = 506.                                                                                                                                                                                                                        
IF (CAUSA = 'W85') CAUSA667 = 507.                                                                                                                                                                                                                        
IF (CAUSA = 'W86') CAUSA667 = 507.                                                                                                                                                                                                                        
IF (CAUSA = 'W87') CAUSA667 = 507.                                                                                                                                                                                                                        
IF (CAUSA = 'W88') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W89') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W90') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W91') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W92') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W93') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W94') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'W99') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X00') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X01') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X02') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X03') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X04') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X05') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X06') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X08') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X09') CAUSA667 = 508.                                                                                                                                                                                                                        
IF (CAUSA = 'X10') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X11') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X12') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X13') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X14') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X15') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X16') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X17') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X18') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X19') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X20') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X21') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X22') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X23') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X24') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X25') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X26') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X27') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X28') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X29') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X30') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X31') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X32') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X33') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X34') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X35') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X36') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X37') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X38') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X39') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X40') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X41') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X42') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X43') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X44') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X45') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X46') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X47') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X48') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X49') CAUSA667 = 509.                                                                                                                                                                                                                        
IF (CAUSA = 'X50') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X51') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X52') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X53') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X54') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X57') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X58') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X59') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'X60') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X61') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X62') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X63') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X64') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X65') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X66') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X67') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X68') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X69') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X70') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X71') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X72') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X73') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X74') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X75') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X76') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X77') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X78') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X79') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X80') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X81') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X82') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X83') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X84') CAUSA667 = 511.                                                                                                                                                                                                                        
IF (CAUSA = 'X85') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X86') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X87') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X88') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X89') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X90') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X91') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X92') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X93') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X94') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X95') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X96') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X97') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X98') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'X99') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y00') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y01') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y02') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y03') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y04') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y05') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y06') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y07') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y08') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y09') CAUSA667 = 512.                                                                                                                                                                                                                        
IF (CAUSA = 'Y10') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y11') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y12') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y13') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y14') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y15') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y16') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y17') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y18') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y19') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y20') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y21') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y22') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y23') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y24') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y25') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y26') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y27') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y28') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y29') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y30') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y31') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y32') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y33') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y34') CAUSA667 = 513.                                                                                                                                                                                                                        
IF (CAUSA = 'Y35') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y36') CAUSA667 = 514.                                                                                                                                                                                                                        
IF (CAUSA = 'Y40') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y41') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y42') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y43') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y44') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y45') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y46') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y47') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y48') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y49') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y50') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y51') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y52') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y53') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y54') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y55') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y56') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y57') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y58') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y59') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y60') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y61') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y62') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y63') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y64') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y65') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y66') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y69') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y70') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y71') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y72') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y74') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y76') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y77') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y78') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y79') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y80') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y81') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y83') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y84') CAUSA667 = 510.                                                                                                                                                                                                                        
IF (CAUSA = 'Y85') CAUSA667 = 514.                                                                                                                                                                                                                        
IF (CAUSA = 'Y86') CAUSA667 = 514.                                                                                                                                                                                                                        
IF (CAUSA = 'Y87') CAUSA667 = 514.                                                                                                                                                                                                                        
IF (CAUSA = 'Y88') CAUSA667 = 514.                                                                                                                                                                                                                        
IF (CAUSA = 'Y89') CAUSA667 = 514.                                                                                                                                                                                                                        
IF (CAUSA = 'Y90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y96') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y97') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Y98') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z00') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z01') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z02') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z03') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z04') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z08') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z09') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z10') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z11') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z12') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z13') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z20') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z21') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z22') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z23') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z24') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z25') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z26') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z27') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z28') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z29') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z30') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z31') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z32') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z33') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z34') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z35') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z36') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z37') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z38') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z39') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z40') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z41') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z42') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z43') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z44') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z45') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z46') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z47') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z48') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z49') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z50') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z51') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z52') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z53') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z54') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z55') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z56') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z57') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z58') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z59') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z60') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z61') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z62') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z63') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z64') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z65') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z70') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z71') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z72') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z73') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z74') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z75') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z76') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z80') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z81') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z82') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z83') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z84') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z85') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z86') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z87') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z88') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z89') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z90') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z91') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z92') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z93') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z94') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z95') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z96') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z97') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z98') CAUSA667 = 000.                                                                                                                                                                                                                        
IF (CAUSA = 'Z99') CAUSA667 = 000. 
IF (CAUSA = 'U07' ) CAUSA667 = 615.                                                                                                                                                                                                                       
execute.

value labels  causa667
000 '0.00 Sintomas, signos y hallazgos anormales, clínicos y de laboratorio'
100 '1.00 Enfermedades transmisibles'
101 '1.01 Enfermedades infecciosas intestinales                   '
102 '1.02 Tuberculosis                                            '
103 '1.03 Ciertas enfermedades transmisibles por vectores y rabia          '
104 '1.04 Ciertas enfermedades inmunoprevenibles                           '
105 '1.05 Meningitis                                              '
106 '1.06 Septicemia, excepto neonatal                            '
107 '1.07 Enfermedad por el VIH                                   '
108 '1.08 Infecciones respiratorias agudas                        '
109 '1.09 Resto de ciertas enfermedades infecciosas y parasitarias        '
201 '2.01 Tumor maligno del estómago                              '
202 '2.02 Tumor maligno del colon y de la unión rectosismoidea    '
203 '2.03 Tumor maligno de los órganos digestivo y de peritoneo excepto estómago y colon'
204 '2.04 Tumor maligno de la tráquea, los bronquios y el pulmón  '
205 '2.05 Tumor maligno de órganos respiratorios e intratorácicos, excepto tráquea, bronquios y pulmón'
206 '2.06 Tumor maligno de la mama de la mujer                    '
207 '2.07 Tumor maligno del cuello del útero                      '
208 '2.08 Tumor maligno del cuerpo del útero                      '
209 '2.09 Tumor maligno del útero, parte no especificada          '
210 '2.10 Tumor maligno de la próstata                            '
211 '2.11 Tumor maligno de otros órganos genitourinarios          '
212 '2.12 Leucemia                                                '
213 '2.13 Tumor maligno del tejido linfático de otros órganos hematopoyéticos y de tejidos afines'
214 '2.14 Tumores malignos de otras localizaciones y de las no especificadas'
215 '2.15 Tumores in situ, benignos y los de comportamiento incierto y desconocidos'
301 '3.01 Fiebre reumática aguda y enfermedades cardiacas reumáticas crónicas'
302 '3.02 Enfermedades hipertensivas                              '
303 '3.03 Enfermedades isquémicas del corazón                     '
304 '3.04 Enfermedades cardiopulmonares, enfermedades de la circulación pulmonar y otras formas de enfermedades del corazón'
305 '3.05 Paro cardiaco                                           '
306 '3.06 Insuficiencia cardiaca                                  '
307 '3.07 Enfermedades cerebrovasculares                          '
308 '3.08 Aterosclerosis                                          '
309 '3.09 Las demás enfermedades del sistema circulatorio         '
401 '4.01 Feto y recién nacido afectados por ciertas afecciones maternas '
402 '4.02 Feto y recién nacido afectado por complicaciones obstétricas y traumatismos del nacimiento'
403 '4.03 Retardo del crecimiento del feto, desnutrición fetal, gestacion cortada y bajo peso al nacer'
404 '4.04 Trastornos respiratorios específicos del periodo perinatal '
405 '4.05 Sepsis bacteriana del recién nacido                     '
406 '4.06 Resto de ciertas afecciones originadas en el periodo perinatal'
501 '5.01 Accidente de transporte terrestre                       '
502 '5.02 Los demás accidentes de transporte y los no especificado'
503 '5.03 Caídas                                                  '
504 '5.04 Accidentes por disparo de arma de fuego                 '
505 '5.05 Ahogamiento y sumersión accidentales                    '
506 '5.06 Accidentes que obstruyen la respiración                 '
507 '5.07 Exposicion a la corriente eléctrica                     '
508 '5.08 Exposicion al humo, fuego y llamas                      '
509 '5.09 Envenenamiento accidental, por exposición a sustancias nocivas '
510 '5.10 Los demás accidentes                                    '
511 '5.11 Lesiones autoinfligidas intencionalmente                '
512 '5.12 Agresiones (Homicidios)                                 '
513 '5.13 Eventos de intención no determinada                     '
514 '5.14 Las demás causas externas                               '
601 '6.01 Diabetes Mellitus                                       '
602 '6.02 Deficiencias nutricionales y anemias nutricionales      '
603 '6.03 Transtornos del comportamiento                          '
604 '6.04 Enfermedades del sistema nervioso, excepto meningitis   '
605 '6.05 Enfermedades crónicas de las vías respiratorias inferiores '
606 '6.06 Resto de enfermedades del sistema respiratorio          '
607 '6.07 Apendicitis, hernia de la cavidad abdominal y obstrucción intestinal'
608 '6.08 Cirrosis y ciertas otras enfermedade crónicas del hígado    '
609 '6.09 Resto de enfermedades del sistema digestivo             '
610 '6.10 Enfermedades del sistema urinario                       '
611 '6.11 Hiperplasia de la próstata                               '
612 '6.12 Embarazo, parto y puerperio                             '
613 '6.13 Malformaciones congénitas, deformaciones y anomalías cromosómicas '
614 '6.14 Resto de enfermedades '
615 'COVID-19 Confirmados y sospechosos'.  
execute.



** CODIFICACION GRUPOS DE EDAD**.
numeric grupoedad (F1.0).
compute grupoedad = 0.
if (cod_edad <= 1) grupoedad = 1.
if (cod_edad = 2 and edad > 0 and edad <= 6) grupoedad  = 1.
if (cod_edad = 2 and edad >=7 and edad <=27)  grupoedad  = 2.
if (cod_edad = 2 and edad >= 28) grupoedad  = 3. 
if (cod_edad = 3 and edad <= 11) grupoedad  = 3.
if (cod_edad = 3 and edad = 12) grupoedad  = 4.
if (cod_edad = 4 and (edad >= 1 and edad <= 4)) grupoedad  = 4.
if (cod_edad = 4 and (edad >= 5 and edad <= 14)) grupoedad  = 5.
if (cod_edad =  4 and (edad >= 15 and edad <= 49)) grupoedad  = 6.
if (cod_edad = 4 and (edad >= 50 and edad <= 64)) grupoedad  = 7.
if (cod_edad = 4 and edad >= 65) grupoedad  = 8.
if (cod_edad = 9) grupoedad  = 9.
EXECUTE.

VALUE LABELS grupoedad  
1 'Menores de 7 días'
2 '7 - 27 días'
3 '28 días a 11 meses'
4 '1 - 4 años'
5 '5 - 14 años'
6 '15 - 49 años'
7 '50 - 64 años'
8 '65 y más años'
9 'Sin informacion'.
EXECUTE.

** CODIFICACION GRUPOS DE EDAD1**.
numeric grupoedad1 (F1.0).
compute grupoedad1 = 0.
if (cod_edad <= 1) grupoedad1 = 1.
if (cod_edad = 2 and edad > 0 and edad <= 6) grupoedad1  = 1.
if (cod_edad = 2 and edad >=7 and edad <=27)  grupoedad1  = 2.
if (cod_edad = 2 and edad >= 28) grupoedad1  = 3. 
if (cod_edad = 3 and edad <= 11) grupoedad1  = 3.
if (cod_edad = 3 and edad = 12) grupoedad1  = 4.
if (cod_edad = 4 and (edad >= 1 and edad <= 4)) grupoedad1  = 4.
if (cod_edad = 4 and (edad >= 5 and edad <= 9)) grupoedad1  = 5.
if (cod_edad =  4 and (edad >= 10 and edad <= 14)) grupoedad1  = 6.
if (cod_edad = 4 and (edad >= 15 and edad <= 19)) grupoedad1  = 7.
if (cod_edad = 4 and (edad >= 20 and edad <= 49)) grupoedad1  = 8.
if (cod_edad = 4 and (edad >= 50 and edad <= 59)) grupoedad1  = 9.
if (cod_edad = 4 and (edad >= 60)) grupoedad1  = 10.
if (cod_edad = 9) grupoedad1  = 11.
EXECUTE.

VALUE LABELS grupoedad1  
1 'Menores de 7 días'
2 '7 - 27 días'
3 '28 días a 11 meses'
4 '1 - 4 años'
5 '5 - 9 años'
6 '10 - 14 años'
7 '15 - 19 años'
8 '20 - 49 años'
9 '50 - 59 años'
10 '60 y más años'
11 'Ignorado'.
EXECUTE.

* CODIFICACION GRUPOS DE EDAD1**.
numeric grupoedad4 (F1.0).
compute grupoedad4 = 0.
if (cod_edad <= 1) grupoedad4 = 1.
if (cod_edad = 2 and edad > 0 and edad <= 6) grupoedad4  = 1.
if (cod_edad = 2 and edad >=7 and edad <=27)  grupoedad4  = 2.
if (cod_edad = 2 and edad >= 28) grupoedad4  = 3. 
if (cod_edad = 3 and edad <= 11) grupoedad4  = 3.

EXECUTE.

VALUE LABELS grupoedad4  
1 'Menores de 7 días'
2 '7 - 27 días'
3 '28 días a 11 meses'.

EXECUTE.

** CODIFICACION GRUPOS DE EDAD1**.
numeric grupoedad2 (F1.0).
compute grupoedad2 = 0.
if (cod_edad <= 3) grupoedad2 = 1.
if (cod_edad = 4 and (edad >= 1 and edad <= 4)) grupoedad2  = 1.
if (cod_edad = 4 and (edad >= 5 and edad <= 14)) grupoedad2  = 1.
if (cod_edad = 4 and (edad >= 15 and edad <= 19)) grupoedad2  = 2.
if (cod_edad = 4 and (edad >= 20 and edad <= 49)) grupoedad2  = 3.
if (cod_edad = 4 and (edad >= 50 and edad <= 59)) grupoedad2  = 4.
if (cod_edad = 4 and (edad >= 60)) grupoedad2  = 5.
if (cod_edad = 9) grupoedad2  = 6.
EXECUTE.

VALUE LABELS grupoedad2  
1 'Menores de 15 años'
2 '15 - 19 años'
3 '20 - 49 años'
4 '50 - 59 años'
5 '60 y más años'
6 'Sin Información'.
EXECUTE.

**CREACION EDAD PARA CUADRO 14**.
numeric dised14 (F2.0).
COMPUTE dised14 = 0.
if (cod_edad <= 2) dised14 = 1.
if (cod_edad=3) dised14 =2.
if (cod_edad = 4 and edad = 1) dised14 = 3.
if (cod_edad = 4 and edad = 2) dised14 = 4.
if (cod_edad = 4 and edad = 3) dised14 = 5.
if (cod_edad = 4 and edad = 4) dised14 = 6.
if (cod_edad = 4 and (edad >= 5 and edad <= 9)) dised14  = 7.
if (cod_edad = 4 and (edad >= 10 and edad <= 14)) dised14 = 8.
if (cod_edad =4 and (edad >= 15 and edad <= 19)) dised14 = 9.
if (cod_edad =4 and (edad >= 20 and edad <= 24)) dised14 = 10.
if (cod_edad = 4 and (edad >= 25 and edad <= 29)) dised14 = 11.
if (cod_edad = 4 and (edad >= 30 and edad <= 34)) dised14 = 12.
if (cod_edad = 4 and (edad >= 35 and edad <= 39)) dised14 = 13.
if (cod_edad = 4 and (edad >= 40 and edad <= 44)) dised14 = 14.
if (cod_edad = 4 and (edad >= 45 and edad <= 49)) dised14 = 15.
if (cod_edad = 4 and (edad >= 50 and edad <= 54)) dised14 = 16.
if (cod_edad = 4 and (edad >= 55 and edad <= 59)) dised14 = 17.
if (cod_edad = 4 and (edad >= 60 and edad <= 64)) dised14 = 18.
if (cod_edad = 4 and (edad >= 65 and edad <= 69)) dised14 = 19.
if (cod_edad = 4 and (edad >= 70 and edad <= 74)) dised14 = 20.
if (cod_edad = 4 and (edad >= 75 and edad <= 79)) dised14 = 21.
if (cod_edad = 4 and (edad >= 80 and edad <= 84)) dised14 = 22.
if (cod_edad = 4 and edad >= 85) dised14 = 23.
if (cod_edad = 9) dised14 = 24.
EXECUTE.

VALUE LABELS dised14  
1 'Menos de 1 mes'
2 '1- 11 meses'
3 '1 año'
4 '2  años'
5 '3 años'
6 '4 años'
7 '5 - 9 años'
8 '10 - 14 años'
9 '15 - 19 años'
10 '20 - 24 años'
11 '25 - 29 años'
12 '30 - 34 años'
13 '35 - 39 años'
14 '40 - 44 años'
15 '45 - 49 años'
16 '50 - 54 años'
17 '55 - 59 años'
18 '60 - 64 años'
19 '65 - 69 años'
20 '70 - 74 años'
21 '75 - 79 años'
22 '80 - 84 años'
23 '85 y más años'
24 'Sin información'.

NUMERIC gedad3 (F2.0).
compute gedad3 = 0.
if (cod_edad <= 1) gedad3 = 1.
if (cod_edad = 2 & edad > 0 & edad <= 6) gedad3 = 1.
if (cod_edad = 2 & edad >= 7 & edad <= 27) gedad3 = 2.
if (cod_edad = 2 & edad >= 28 & edad <= 30) gedad3 = 3.
if (cod_edad = 3 & edad >= 1 & edad <= 11) gedad3 = 4.
if (cod_edad = 3 & edad = 12) gedad3 = 5.
if (cod_edad = 4 & edad >= 1 & edad <= 4) gedad3 = 5.
if (cod_edad = 4 & edad >= 5 & edad <= 9) gedad3 = 6.
if (cod_edad = 4 & edad >= 10 & edad <= 14) gedad3 = 7.
if (cod_edad = 4 & edad >= 15 & edad <= 19) gedad3 = 8.
if (cod_edad = 4 & edad >= 20 & edad <= 24) gedad3 = 9.
if (cod_edad = 4 & edad >= 25 & edad <= 29) gedad3 = 10.
if (cod_edad = 4 & edad >= 30 & edad <= 49) gedad3 = 11.
if (cod_edad = 4 & edad >= 50 & edad <= 64) gedad3 = 12. 
if (cod_edad = 4 & edad >= 65) gedad3 = 13.
if (cod_edad = 9 ) gedad3 = 14.
execute.

value labels  gedad3
1 ' Menor de 7 días'
2 ' 7-27 días'
3 ' 28-30 días'
4 ' 1-11 meses'
5 '1-4 años'
6 '5-9 años'
7 '10-14 años'
8 '15-19 años'
9 '20-24 años'
10 '25-29 años'
11 '30-49 años'
12 '50-64 años'
13 '65 años y más'
14 'Sin información'.


if (cod_edad = 4 and (edad >=1 and edad <=4)) redad1 = 1.
if (cod_edad = 4 and (edad >= 5 and edad <= 9)) redad1  = 2.
if (cod_edad = 4 and (edad >= 10 and edad <= 14)) redad1  = 3.
if (cod_edad = 4 and (edad >= 15 and edad <= 19)) redad1 = 4.
if (cod_edad = 4 and (edad >= 20 and edad <= 49)) redad1  = 5.
if (cod_edad = 4 and (edad >= 50 and edad <= 59)) redad1  = 6.
if (cod_edad = 4 and edad >= 60) redad1  = 7.
if (cod_edad = 9) redad1  = 8.
execute.

value labels redad1
        1 '1 - 4 años'
        2 '5 - 9 años'
        3 '10 - 14 años'
        4 '15 - 19 años'
        5 '20 - 49 años'
        6 '50 - 59 años'
        7 '60 y más años'
        8 'Edad ignorada'.

numeric grucau11 (F1.0).
compute grucau11 = 99.
if (causa67A = "056") grucau11 = 1.
if (causa67A = "001") grucau11 = 2.
if (causa67A = "016") grucau11 = 3.
if (causa67A = "030") grucau11 = 4.
if (causa67A = "037") grucau11 = 5. 
if (causa67A = "060") grucau11 = 6. 
if (causa67A = "059") grucau11 = 7. 
if (causa67A >= "020" & causa67A <="029") grucau11 = 7. 
if (causa67A >= "031" & causa67A <="036") grucau11 = 7. 
if (causa67A = "049") grucau11 = 7.
if (causa67A = "061" or causa67A = "062") grucau11 = 8.   
execute.

VALUE LABELS grucau11 
1 '0.00 SINTOMAS, SIGNOS Y HALLAZGOS ANORMALES, CLÍNICOS Y DE LABORATORIO'
2 '1.00 ENFERMEDADES TRANSMISIBLES'
3 '2.00 NEOPLASIAS'
4 '3.00 ENFERMEDADES DEL SISTEMA CIRCULATORIO'
5 '4.00 CIERTAS AFECCIONES ORIGINADAS EN EL PERIODO PERINATAL'
6 '5.00 CAUSAS EXTERNAS'
7 '6.00 TODAS LAS DEMAS ENFERMEDADES'
8 'COVID-19 CONFIRMADOS Y SOSPECHOSOS'.



***CUADRO No. 1: Defunciones Totales por Tipo de Certificación Médica Residentes y No Residentes según Regiones, Provincias y Cantones de Acaecimiento*****

***set onumbers labels ovars labels tnumbers labels tvars labels.

USE ALL.
COMPUTE filter_$=(anio_fall = 2020).
VARIABLE LABELS filter_$ 'anio_fall = 2020 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

TABLES
 /TABLE  (t1+(reg_res>(t1+prov_res))) by (t1 + certimed) > (t1 + residente).
/TITLE "Cuadro No.3.1.1 Defunciones totales por tipo de certificación médica, residentes y no residentes según regiones, provincias y cantones de acaecimiento".
filter off. 




***CUADRO No. 2: Defunciones Totales de Mayores y Menores de un Año por Sexo, según Regiones, Provincias y Áreas de Residencia Habitual de la Persona Fallecida*****

USE ALL.
COMPUTE filter_$=(anio_fall = 2020).
VARIABLE LABELS filter_$ 'anio_fall = 2020 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

TABLES
 /TABLE  (t1+reg_res+(reg_res>(prov_res>(t1+area_res)))) by (t1 + gedad) > (t1 + sexo).

TITLE= 'Cuadro 3.1.2. Defunciones totales de mayores y menores de un año por sexo, según regiones, provincias y áreas de residencia habitual de la persona fallecida'.
filter off.

***CUADRO No. 3: Defunciones Totales de Mayores y Menores de un Año, por Sexo, Según Regiones, Provincias, Cantones y Parroquias de Residencia Habitual de la Persona Fallecida*****

USE ALL.
COMPUTE filter_$=(anio_fall = 2020).
VARIABLE LABELS filter_$ 'anio_fall = 2020 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

TABLES
 /TABLE (t1+reg_res+(reg_res>(t1+prov_res))) by (t1 + gedad) > (t1 + sexo).
/TITLE 'Cuadro No. 3.1.3 Defunciones totales de mayores y menores de un año, por sexo, según regiones, provincias, cantones y parroquias de residencia habitual de la persona fallecida'.
filter off.

***CUADRO No. 4: Defunciones de personas de 12 Años y más de edad por estado civil y sexo, segun grupos de edad***

If (cod_edad=4 &(edad>=12)) estgr=1.
If (cod_edad=9) estgr=1.

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 & estgr=1).
VARIABLE LABELS filter_$ 'anio_fall = 2020 & estgr=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

TABLES
 /TABLE  (t1+gedad1) by (t1 + est_civil)> (t1 + sexo).
 TITLE= "Cuadro 3.1.4 Defunciones de personas de 12 años y más de edad por estado civil y sexo, segun grupos de edad".

filter off.

***CUADRO No. 5: Defunciones por Sexo y Grupos de Edad según Regiones, Provincias y Áreas de Residencia Habitual de la Persona Fallecida*****

USE ALL.
COMPUTE filter_$=(anio_fall = 2020).
VARIABLE LABELS filter_$ 'anio_fall = 2020 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

TABLES
 /TABLE  (t1+reg_res+(reg_res>(prov_res>(t1+area_res)))) by (t1 + gedad2) > (t1 + sexo).

 TITLE= 'Cuadro 3.1.5: Defunciones por sexo y grupos de edad según regiones, provincias y áreas de residencia habitual de la persona fallecida'.
filter off.

***CUADRO No. 6: Defunciones de menores de un año por mes de ocurrencia, según Regiones y Provincias de residencia Habitual de la Madre**

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 & cod_edad<=3).
VARIABLE LABELS filter_$ 'anio_fall = 2020 & cod_edad<=3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

TABLES
 /TABLE (t1+(reg_res>(t1+prov_res))) by (t1+mes_fall).

 TITLE= "Cuadro 3.1.6: Defunciones de menores de un año por mes de ocurrencia, según regiones y provincias de residencia habitual de la madre".
filter off.

****CUADRO No. 7: Defunciones de Menores de un Año, por Meses de Edad, según Sexo, Regiones y Provincias de Residencia Habitual de la Madre****										

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 & cod_edad<=3).
VARIABLE LABELS filter_$ 'anio_fall = 2020 & cod_edad<=3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

if cod_edad <=2 ginf1=1.
if cod_edad =3 ginf2=2.

ADD VALUE LABELS ginf1 ginf2
1 "Menores de un mes"
2 "Meses".

TABLES
 /TABLE  (t1>sexo+(reg_res>sexo)) by (t1 + ginf1+ginf2>edad).
TABLES
 /TABLE  (t1+(reg_res)+(reg_res>(prov_res>(t1+sexo)))) by (t1 + ginf1+ginf2>edad).
TITLE = "Cuadro 3.1.7: Defunciones de menores de un año, por meses de edad, según sexo, regiones y provincias de residencia habitual de la madre"
CAPTION =  "Anuario estadisticas vitales - Defunciones generales INEC 2020".
filter off. 


****CUADRO No. 8: Defunciones de Menores de un Mes, por Días de Edad, según Regiones, Provincias y sexo de Residencia Habitual de la Madre****			

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 & cod_edad<=2).
VARIABLE LABELS filter_$ 'anio_fall = 2020 & cod_edad<=2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.


TABLES
 /TABLE  (t1>sexo+(reg_res>sexo)) by (t1 + dias).
TABLES
 /TABLE  (t1+(reg_res)+(reg_res>(prov_res>(t1+sexo)))) by (t1+dias).
TITLE = "Cuadro 3.1.8: Defunciones de menores de un mes, por días de edad, según regiones, provincias y sexo de residencia habitual de la madre".
filter off. 

****CUADRO No. 9: Defunciones Totales, por Provincias y Áreas de Residencia Habitual de la Persona Fallecida, según Causas de Muerte (Lista Condensada de 103 Grupos - Décima Revisión - CIE - 10)****			

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.


TABLES
 /TABLE  (t1+causa103) by (t1)+(t1>area_res) + (prov_res>(t1+area_res)).
TITLE ='Cuadro No. 3.1.9  Defunciones totales, por provincias y áreas de residencia habitual de la persona fallecida, según causas de muerte (Lista condensada de 103 grupos - Décima revisión - CIE - 10)'
.
filter off. 

***CUADRO No. 10: Defunciones Totales, por tipo de Certificación y Grupos de Edad, según Sexo y Causas de Muerte Lista Internacional Detallada (Décima Revisión CIE - 10***.
USE ALL.
COMPUTE filter_$=(anio_fall = 2020 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.


CTABLES
  /VLABELS VARIABLES= causa sexo DISPLAY=NONE  /VLABELS VARIABLES=certimed gedad grupoedad 
    DISPLAY=LABEL
  /TABLE causa > sexo [COUNT F40.0] BY certimed [C] + gedad [C] > grupoedad [C]
  /CATEGORIES VARIABLES= sexo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=causa certimed gedad grupoedad ORDER=A KEY=VALUE EMPTY=exclude
/TITLES
TITLE ="Cuadro No. 3.1.10 Defunciones totales, por tipo de certificación y grupos de edad, según sexo y causas de muerte lista Internacional detallada (Décima revisión CIE - 10)".
filter off.

***CUADRO No. 11:.

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

variable level  causa667 grupoedad1 (nominal).

CTABLES
  /VLABELS VARIABLES= causa667 sexo DISPLAY=NONE  /VLABELS VARIABLES=certimed gedad grupoedad1 
    DISPLAY=LABEL
  /TABLE  causa667 > sexo [COUNT F40.0] BY certimed [C] + gedad [C] > grupoedad1[C]
  /CATEGORIES VARIABLES= sexo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=causa667 certimed gedad grupoedad1 ORDER=A KEY=VALUE EMPTY=exclude
/TITLES.

***CUADRO No. 12 y13:.

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.


SORT CASES BY sexo.
SPLIT FILE 
SEPARATE BY sexo.

* Tablas personalizadas.
TABLES
 /TABLE  (t1+causa103) by (t1)+(t1>area_res) + (prov_res>area_res).
 TITLE = "Cuadro No. 3.1.12 Defunciones masculinas - femeninas por provincias y áreas de residencia habitual de la persona fallecida, según causas de muerte (Lista condensada de 103 grupos CIE - 10)"
.

SPLIT FILE
OFF.
execute.

filter off. 

****CUADRO No. 14: Defunciones Totales por Grupos de Edad, según Regiones, Provincias de Residencia Habitual de la Persona Fallecida y Sexo***

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.


TABLES
  /TABLE t1 > sexo + reg_res > (t1 + sexo) by t1 + dised14.
TABLES
  /TABLE  (t1 > sexo + reg_res > prov_res > (t1 + sexo)) by t1 + dised14
  /TITLE "Cuadro No. 3.2.14  Defunciones totales por grupos de edad, según regiones, provincias de residencia habitual de la persona fallecida y sexo".

filter off.

***CUADRO No. 15N: Defunciones Totales por Tipo de Certificación y Grupos de Edad, según Sexo y Causas de Muerte Lista Corta de Ordenamiento de las Principales Causas de Muerte CIE - 10 (Recomendada por la OMS)'  *****
***CUADRO No. 15 A: A NIVEL NACIONAL

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
TABLES
/TABLE t1+(t1> sexo) + (lc1) > (t1 + sexo)  by (t1 + certimed) + (prov_res>gedad) > (gedad3).
/TITLE 'Cuadro No. 3.2.15 Defunciones totales por tipo de certificación y grupos de edad, según sexo y causas de muerte'
          'Lista corta de ordenamiento de las principales causas de muerte CIE - 10 (Recomendada por la OMS)'.

filter off.



***CUADRO No. 16: Defunciones por lugar y sitio de acaecimiento**

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

TABLES
 /TABLE  (t1>area_res+(reg_res>area_res)) by (t1 + lugar_ocur).
TABLES
 /TABLE  (t1+(reg_res)+(reg_res>(prov_res>(t1+area_res)))) by (t1+lugar_ocur).
TITLE = "Cuadro 3.2.8: Defunciones de menores de un mes, por días de edad, según regiones, provincias y sexo de residencia habitual de la madre".
filter off. 


***CUADRO No. 17: Defunciones por lugar de residencia habitual, edad,sexo y nivel de instrucción**

If (cod_edad=4 & edad>=5) eniv=1.
If (cod_edad=9) eniv=1.

USE ALL.
COMPUTE filter_$=(anio_fall = 2020 & eniv=1 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  & eniv=1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.


TABLES
/TABLE t1+(t1 > sexo + grupoedad2) + (sexo>grupoedad2) by (t1 + niv_inst).
TABLES
/TABLE (t1> sexo) + (prov_res>sexo) > (t1 + grupoedad2)  by (t1 + niv_inst)
/TITLE 'Cuadro No. 3.1.17 Defunciones por lugar de residencia habitual, edad,sexo y nivel de instrucción'.

filter off.

***CUADRO No. 18: Defunciones maternas, por causa de defuncion y edad de la mujer
Año 2018 (p**) **



USE ALL.
COMPUTE filter_$=(anio_fall = 2020 ).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

if ((causa>="O00" & causa<= "O99") & causa<>"O96" & causa<>"O97") mm1=1.

execute.

ADD VALUE LABELS mm1
1 "Muerte materna".

TABLES
/TABLE t1+(causa)  by mm1+ (mm1> edad).
/TITLE 'Cuadro No. 3.1.18 Defunciones maternas, por causa de defuncion y edad de la mujer Año 2020 (p**)'.

filter off.

***CUADRO No. 19: Defunciones infantiles, por mes en que ocurrieron y sexo y edad del niño
Año 2020 (p**) **

ADD VALUE LABELS mes_fall
1 "Enero"
2 "Febrero"
3 "Marzo"
4 "Abril"
5 "Mayo"
6 "Junio"
7 "Julio"
8 "Agosto"
9 "Septiembre"
10 "Octubre"
11 "Noviembre"
12 "Diciembre".

USE ALL.
COMPUTE filter_$=(anio_fall = 2020).
VARIABLE LABELS filter_$ 'anio_fall = 2020  (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.

If (cod_edad<=3) inf=1.

execute.

ADD VALUE LABELS inf
1 "Infantil".

TABLES
/TABLE (mes_fall)+(sexo>mes_fall)  by inf+(inf> grupoedad4).
/TITLE 'Cuadro No. 3.1.19 Defunciones infantiles, por mes en que ocurrieron y sexo y edad del niño Año 2020 (p**)'.

filter off.



